
Foreman - Bug #5879

undefined local variable or method `scoped_search_definition' setting when setting permission

filters

05/22/2014 12:45 PM - Partha Aji

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Users, Roles and Permissions   

Target version: 1.5.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1107675 Red Hat JIRA:  

Pull request:    

Description

1) Goto Roles

2) Select "Filters and Permissions" next to a Role

3) Select New filter

4) Select "Architecture" or "Compute Resource" under resource type

Error reported in the server..

NameError (undefined local variable or method `scoped_search_definition' for #<Class:0x0000000c7d4f18>):

app/models/concerns/authorizable.rb:31:in `allows_taxonomy_filtering?'

app/models/concerns/authorizable.rb:35:in `allows_organization_filtering?'

app/controllers/permissions_controller.rb:14:in `index'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

Rendered /home/paji/.rvm/gems/ruby-2.0.0-p481/gems/actionpack-3.2.18/lib/action_dispatch/middlewar

e/templates/rescues/_trace.erb (0.8ms)

  Rendered /home/paji/.rvm/gems/ruby-2.0.0-p481/gems/actionpack-3.2.18/lib/action_dispatch/middlew

are/templates/rescues/_request_and_response.erb (0.7ms)

  Rendered /home/paji/.rvm/gems/ruby-2.0.0-p481/gems/actionpack-3.2.18/lib/action_dispatch/middlew

are/templates/rescues/diagnostics.erb within rescues/layout (5.9ms)

Related issues:

Related to Foreman - Bug #5664: Users permissions on hosts are not working pr... Closed 05/11/2014

Associated revisions

Revision 447e48f1 - 06/12/2014 09:50 PM - Dominic Cleal

fixes #5879 - minimum of scoped_search 2.7.0 required

Revision 13e1bc71 - 06/13/2014 08:36 AM - Dominic Cleal

refs #5879 - minimum of scoped_search 2.7.0 required

Revision b6d88eaa - 06/13/2014 12:38 PM - Dominic Cleal

fixes #5879 - minimum of scoped_search 2.7.0 required

(cherry picked from commit 447e48f190cf89f42ff64a967b0b135c30d614f4)

History

#1 - 05/22/2014 12:56 PM - Dominic Cleal

- Related to Bug #5664: Users permissions on hosts are not working properly with organizations added

#2 - 05/22/2014 12:59 PM - Dominic Cleal

- Subject changed from Unable to set permission filters to undefined local variable or method `scoped_search_definition' setting when setting
permission filters

- Status changed from New to Need more information

Can you add some debug and work out what class it's failing on?  Especially if you have plugins like Katello installed, since I can't replicate this on a

clean Foreman installation.

It would appear from a quick code inspection that the class might not be using scoped_search, but is responding to search_for (i.e. that it's "granular"

according to Filter#granular but the class doesn't respond to scoped_search_definition).

#3 - 05/22/2014 01:02 PM - Dominic Cleal

- Status changed from Need more information to New

Oh, I think I see... #5664 starts using .scoped_search_definition, but this was only added in scoped_search 2.7.0 while we depend on >= 2.6.2.

Please try updating scoped_search to >= 2.7.0 and see if that fixes it.

#4 - 05/22/2014 01:25 PM - Partha Aji

Worked with  scoped_search to >= 2.7.0 . Thanks!. Can ya update it in develop ?

#5 - 05/22/2014 01:36 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Dominic Cleal

- Target version set to 1.8.2

- translation missing: en.field_release set to 16

https://github.com/theforeman/foreman/pull/1469

#6 - 06/10/2014 12:41 PM - Bryan Kearney

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1107675

#7 - 06/11/2014 02:53 PM - Anonymous

- Target version changed from 1.8.2 to 1.8.1

#8 - 06/12/2014 10:31 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 447e48f190cf89f42ff64a967b0b135c30d614f4.
